Subject: Re: [PATCH v2 1/3] stash: add test to ensure reflog --rewrite --updatref behavior

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Feb 2022 15:50:47 -0800

John Cai <[email-masked]> writes:

> Yes, this is true but that doesn't seem to test the --rewrite functionality.
> I could be missing something, but it seems that the reflog --rewrite option
> will write the LHS old oid value in the .git/logs/refs/stash file. When
> --rewrite isn't used, the reflog delete still does the right thing to the
> RHS entry.
>
> I couldn't find any way to check this LFS value other than reaching into the
> actual file. If there is a way that would be preferable.

Ah, that one.

As 2b81fab2 (git-reflog: add option --rewrite to update reflog
entries while expiring, 2008-02-22) says, the redundant half of the
reflog entry only matters to "certain sanity checks" and would not
be even visible to normal ref API users.  I wonder why we need to
even say "--rewrite" in the first place.  Perhaps we should
implicitly set it always and eventually deprecate that option.